Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.framework
Class EPPWhoWasHandler

    java.lang.Object
      com.verisign.epp.framework.EPPWhoWasHandler

All Implemented Interfaces:
  EPPEventHandler

Direct Known Subclasses:
  WhoWasHandler

    public abstract class EPPWhoWasHandler

extends java.lang.Object
implements EPPEventHandler

This class provides an interface for handling EPP WhoWas Commands in a Server implementation. EPPEvents are handled by the handleEvent() method here and routed to the appropriate abstract member function. Subclasses should override the abstract methods to define the desired behavior of a particular command when it is received. A subclassed instance of `EPPWhoWasHandler` should be registered with the `EPPDispatcher` so that EPPEvents related to the WhoWas Mapping will be handled there.

Version:
  1.0
Author:
  Deepak Deshpande

Constructor Summary
`EPPWhoWasHandler()` Construct an instance of `EPPWhoWasHandler`.

Method Summary
`protected abstract EPPEventResponse` | `doWhoWasInfo(EPPEvent aEvent, java.lang.Object aData)` Returns the `EPPEventResponse` back to the client after processing the passed in `aEvent`.
`java.lang.String` | `getNamespace()` Returns the WhoWas Namespace associated with this handler.
`EPPEventResponse` | `handleEvent(EPPEvent aEvent, java.lang.Object aData)` Returns the `EPPEventResponse` after processing the passed in `aEvent`.
`protected void` | `postHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all WhoWas commands need to execute after they execute their command specific behavior.
`protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all WhoWas commands need to execute before they execute their command specific behavior.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPPWhoWasHandler

    public EPPWhoWasHandler()

  Construct an instance of `EPPWhoWasHandler`. Whenever an `EPPWhoWasHandler` instance is created it also adds `EPPWhoWasMapFactory` to the `EPPFactory` map factory.

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Returns the WhoWas Namespace associated with this handler.

  Specified by:
    `getNamespace` in interface `EPPEventHandler`
  Returns:
    String the WhoWas Namespace associated with this handler.

### handleEvent

    public EPPEventResponse handleEvent(EPPEvent aEvent,
                                        java.lang.Object aData)
                                 throws EPPEventException

  Returns the `EPPEventResponse` after processing the passed in `aEvent`. This method receives an `EPPEvent` and routes it to the appropriate abstract method.

  Specified by:
    `handleEvent` in interface `EPPEventHandler`
  Parameters:
    `aEvent` - An `EPPEvent` that contains the `EPPCommand`
    `aData` - Any data that a Server needs to send to this `EPPWhoWasHandler` instance.
  Returns:
    the `EPPEventResponse` after processing the passed in `aEvent`.
  Throws:
    `EPPEventException` - Thrown if an unrecognized `EPPEvent` is received

### preHandleEvent

    protected void preHandleEvent(EPPEvent aEvent,
                                  java.lang.Object aData)
                           throws EPPHandleEventException

  Handles any common behavior that all WhoWas commands need to execute before they execute their command specific behavior. The default implementation does nothing.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPWhoWasHandler`
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### postHandleEvent

    protected void postHandleEvent(EPPEvent aEvent,
                                   java.lang.Object aData)
                            throws EPPHandleEventException

  Handles any common behavior that all WhoWas commands need to execute after they execute their command specific behavior. The default implementation does nothing

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPWhoWasHandler`
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### doWhoWasInfo

    protected abstract EPPEventResponse doWhoWasInfo(EPPEvent aEvent,
                                                     java.lang.Object aData)

  Returns the `EPPEventResponse` back to the client after processing the passed in `aEvent`. Invoked when a WhoWas Info command is received. Subclasses should define the behavior when a WhoWas Info command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPWhoWasHandler`
  Returns:
    the `EPPEventResponse` back to the client after processing the passed in `aEvent`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.